﻿@using Rokolabs.Library.WebApp.Models.ViewModels
@using PagedList;

@model HashSet<LibraryEntryVM>

<table class="table" id="libTable">

    <tr>
        <th>Name</th>
        <th>
            Identifier
        </th>
        <th>
            Number of pages
        </th>
        <th></th>
    </tr>

    @foreach (var entry in Model)
    {
        <tr>
            <td>

                @Html.ActionLink(entry.ToString(), "Details", new { id = entry.EntryID, entryType = entry.GetType().Name })

            </td>
            <td>

                @((entry as BookVM)?.ISBN)
                @((entry as NewspaperVM)?.ISSN)
                @((entry as PatentVM)?.RegistrationNumber)

            </td>

            <td>

                @entry.NumberOfPages

            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = entry.EntryID, entryType = entry.GetType().Name }) |
                @Html.ActionLink("Delete", "Delete", new { id = entry.EntryID, entryType = entry.GetType().Name })
            </td>
        </tr>
    }

</table>

